Bug 1128734 - [RFE] Please improve the UI design -- appearance of dialog boxes unchanged and not consistent with the new look and feel
Summary: [RFE] Please improve the UI design -- appearance of dialog boxes unchanged an...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Nobody
QA Contact: Pavel Stehlik
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 12:48 UTC by Yuko Katabami
Modified: 2015-03-11 09:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-11 09:04:32 UTC
oVirt Team: ---


Attachments (Terms of Use)
Design proposal of dialog for RHEV-M 3.5 (58.37 KB, image/png)
2014-08-13 14:07 UTC, Hajime Taira
no flags Details

Description Yuko Katabami 2014-08-11 12:48:37 UTC
Description of problem:
Despite the recent change in web portal look and feel, dialog box design remains unchanged and it is not consistent with the rest of the UI.

Version-Release number of selected component (if applicable): 3.5


How reproducible: 100%


Steps to Reproduce:
1. Log-in to 3.5 environment
2. Open any dialog box
3. Check the design

Actual results:
It is unchanged from the previous version

Expected results:
It should be changed to make them consistent with the new look and feel

Additional info:

Comment 1 Einav Cohen 2014-08-11 19:10:41 UTC
PatternFly/RCUE adoption is / will be done in phases by definition:
for oVirt/RHEV 3.5 we have completed phase 1 [1], which included only the login pages, welcome page, error pages (404, docs not found) and top banner of main views in web-admin and user-portal. 

This BZ is basically about completing the PatternFly/RCUE adoption, which we plan to do, of course - only it will take a lot of time and effort from all of RHEV-M GUI engineering; the general plan is to have it ready for 4.0/4.x.

[1] http://www.ovirt.org/Features/NewLookAndFeelPatternFlyPhase1

Comment 2 Hajime Taira 2014-08-13 14:07:21 UTC
Created attachment 926450 [details]
Design proposal of dialog for RHEV-M 3.5

I think so that the design for dialog that was based on gray color of oVirt original coloring is better.
We should adopt oVirt original coloring to our branding css file.
Files to be changed are:

/usr/share/ovirt-engine/branding/rhev-1.brand/common.css
/usr/share/ovirt-engine/branding/rhev-1.brand/images/dialog/*.png

I want to change highlight color of dialog to wine red for our branding of rhevm.
Currently highlight color of oVirt is green. Please look at attached image.

Comment 3 Hajime Taira 2015-03-11 07:38:40 UTC
Ok, Please close this Bz by NOTABUG.

Comment 4 Yuko Katabami 2015-03-11 09:04:32 UTC
Moving the status to CLOSED as per request by Taira-san.


Note You need to log in before you can comment on or make changes to this bug.